Bug 1077491 - (CVE-2014-1512) CVE-2014-1512 Mozilla: Use-after-free in TypeObject (MFSA 2014-30)
CVE-2014-1512 Mozilla: Use-after-free in TypeObject (MFSA 2014-30)
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Red Hat Product Security
impact=critical,public=20140318,repor...
: Security
Depends On:
Blocks: 1074395
  Show dependency treegraph
 
Reported: 2014-03-18 01:25 EDT by Huzaifa S. Sidhpurwala
Modified: 2015-08-22 12:33 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-22 12:33:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2014-03-18 01:25:18 EDT
Security research firm VUPEN, via TippingPoint's Pwn2Own contest, reported that memory pressure during Garbage Collection could lead to memory corruption of TypeObjects in the JS engine, resulting in an exploitable use-after-free condition.

In general this flaw cannot be exploited through email in the Thunderbird and Seamonkey products because scripting is disabled, but is potentially a risk in browser or browser-like contexts.


External Reference:

http://www.mozilla.org/security/announce/2014/mfsa2014-30.html


Acknowledgements:

Red Hat would like to thank the Mozilla project for reporting this issue. Upstream acknowledges Security research firm VUPEN as the original reporter of this issue.
Comment 1 errata-xmlrpc 2014-03-18 16:35:21 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2014:0310 https://rhn.redhat.com/errata/RHSA-2014-0310.html
Comment 2 errata-xmlrpc 2014-03-19 13:27:11 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2014:0316 https://rhn.redhat.com/errata/RHSA-2014-0316.html

Note You need to log in before you can comment on or make changes to this bug.